# $Revision: 1.14 $, $Date: 2004/12/26 19:03:46 $
Summary:	Python extension for Emacs
Summary(pl):	Rozszerzenie Python dla Emacsa
Name:		emacs-pymacs
Version:	0.15
Release:	4
License:	GPL v2
Group:		Applications/Editors/Emacs
Source0:	http://www.iro.umontreal.ca/~pinard/pymacs/pymacs-%{version}.tar.gz
# Source0-md5:	0c4b2598480d7f89fc35eec487276626
Patch0:		%{name}-userinstall.patch
URL:		http://www.iro.umontreal.ca/~pinard/pymacs/
BuildRequires:	emacs
BuildRequires:	python-devel >= 2.2
BuildRequires:	rpm-pythonprov
%pyrequires_eq    python
Requires:	emacs >= 21.1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Obsoletes:	pymacs

%description
Pymacs is a powerful tool which, once started from Emacs, allows
both-way communication between Emacs LISP and Python. Yet, Pymacs aims
Python as an extension language for Emacs. Within Emacs LISP code, one
may load and use Python modules. Python functions may themselves use
Emacs services, and handle LISP objects kept in LISP space.

%description -l pl
Pymacs jest potnym narzdziem, ktre po uruchomieniu z Emacsa
pozwala na dwukierunkow komunikacj pomidzy Emacs LISP oraz
Pythonem. Pymacs pozwala na adowanie i uywanie moduw Pythona z
Emacs LISP. Z kolei funkcje pythona mog uywa usug Emacsa oraz
obsugiwa obiekty LISPa znajdujce si w przestrzeni LISPa.

%prep
%setup -q -n pymacs-%{version}
%patch0 -p1

%build
./setup -u \
	-b %{_bindir} \
	-l %{_datadir}/emacs/site-lisp \
	-p %{py_sitedir}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_datadir}/emacs/site-lisp,%{py_sitedir}}

./setup \
	-b $RPM_BUILD_ROOT%{_bindir} \
	-l $RPM_BUILD_ROOT%{_datadir}/emacs/site-lisp \
	-p $RPM_BUILD_ROOT%{py_sitedir} \
	install

%py_comp $RPM_BUILD_ROOT%{py_sitedir}
%py_ocomp $RPM_BUILD_ROOT%{py_sitedir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog* README THANKS* TODO
%attr(755,root,root) %{_bindir}/*
%{py_sitedir}/*.py?
%{_datadir}/emacs/site-lisp/*.elc

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: emacs-pymacs.spec,v $
Revision 1.14  2004/12/26 19:03:46  saq
- release 4 for rebuild with python 2.4

Revision 1.13  2004/07/28 08:03:13  troll
- removed %%include /usr/lib/rpm/macros.python

Revision 1.12  2004/04/26 15:12:03  adamg
- release 3 for Ac (2 is for Ra)

Revision 1.11  2003/07/08 17:20:58  blues
- next part of small fixes inpired by kloczek :)

Revision 1.10  2003/05/28 12:58:54  malekith
- massive attack: source-md5

Revision 1.9  2003/05/25 05:47:08  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.8  2002/11/27 19:36:44  juandon
- new %%doc

Revision 1.7  2002/04/25 16:15:03  arturs
fixed a small typo

Revision 1.6  2002/04/11 13:45:32  wrobell
- use pyrequires_eq instead of requires_eq macro (massive attack!)

Revision 1.5  2002/02/22 23:28:49  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.4  2002/02/04 09:04:05  kloczek
- release 2: rebuild against python 2.2.

Revision 1.3  2002/01/22 22:15:56  misiek
BR: emacs

Revision 1.2  2002/01/22 21:24:56  misiek
- typo fixed

Revision 1.1  2002/01/22 21:23:15  misiek
- initial pld release
